Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.marshalling.impl
Class JBPMMessages.ProcessInstance.NodeInstanceContent.ForEachNode.Builder

    java.lang.Object
      com.google.protobuf.AbstractMessageLite.Builder<BuilderType>
          com.google.protobuf.AbstractMessage.Builder<BuilderType>
              com.google.protobuf.GeneratedMessage.Builder<JBPMMessages.ProcessInstance.NodeInstanceContent.ForEachNode.Builder>
                  org.jbpm.marshalling.impl.JBPMMessages.ProcessInstance.NodeInstanceContent.ForEachNode.Builder

All Implemented Interfaces:
  com.google.protobuf.Message.Builder, com.google.protobuf.MessageLite.Builder, com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder, Cloneable, JBPMMessages.ProcessInstance.NodeInstanceContent.ForEachNodeOrBuilder

Enclosing class:
  JBPMMessages.ProcessInstance.NodeInstanceContent.ForEachNode

    public static final class JBPMMessages.ProcessInstance.NodeInstanceContent.ForEachNode.Builder

extends com.google.protobuf.GeneratedMessage.Builder<JBPMMessages.ProcessInstance.NodeInstanceContent.ForEachNode.Builder>
implements JBPMMessages.ProcessInstance.NodeInstanceContent.ForEachNodeOrBuilder

Protobuf type `org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.ForEachNode`

Method Summary
`JBPMMessages.ProcessInstance.NodeInstanceContent.ForEachNode.Builder` | `addAllNodeInstance(Iterable<? extends JBPMMessages.ProcessInstance.NodeInstance> values)` `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstance node_instance = 1;`
`JBPMMessages.ProcessInstance.NodeInstanceContent.ForEachNode.Builder` | `addNodeInstance(int index, JBPMMessages.ProcessInstance.NodeInstance.Builder builderForValue)` `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstance node_instance = 1;`
`JBPMMessages.ProcessInstance.NodeInstanceContent.ForEachNode.Builder` | `addNodeInstance(int index, JBPMMessages.ProcessInstance.NodeInstance value)` `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstance node_instance = 1;`
`JBPMMessages.ProcessInstance.NodeInstanceContent.ForEachNode.Builder` | `addNodeInstance(JBPMMessages.ProcessInstance.NodeInstance.Builder builderForValue)` `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstance node_instance = 1;`
`JBPMMessages.ProcessInstance.NodeInstanceContent.ForEachNode.Builder` | `addNodeInstance(JBPMMessages.ProcessInstance.NodeInstance value)` `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstance node_instance = 1;`
`JBPMMessages.ProcessInstance.NodeInstance.Builder` | `addNodeInstanceBuilder()` `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstance node_instance = 1;`
`JBPMMessages.ProcessInstance.NodeInstance.Builder` | `addNodeInstanceBuilder(int index)` `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstance node_instance = 1;`
`JBPMMessages.ProcessInstance.NodeInstanceContent.ForEachNode` | `build()`
`JBPMMessages.ProcessInstance.NodeInstanceContent.ForEachNode` | `buildPartial()`
`JBPMMessages.ProcessInstance.NodeInstanceContent.ForEachNode.Builder` | `clear()`
`JBPMMessages.ProcessInstance.NodeInstanceContent.ForEachNode.Builder` | `clearNodeInstance()` `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstance node_instance = 1;`
`JBPMMessages.ProcessInstance.NodeInstanceContent.ForEachNode.Builder` | `clone()`
`JBPMMessages.ProcessInstance.NodeInstanceContent.ForEachNode` | `getDefaultInstanceForType()`
`static com.google.protobuf.Descriptors.Descriptor` | `getDescriptor()`
`com.google.protobuf.Descriptors.Descriptor` | `getDescriptorForType()`
`JBPMMessages.ProcessInstance.NodeInstance` | `getNodeInstance(int index)` `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstance node_instance = 1;`
`JBPMMessages.ProcessInstance.NodeInstance.Builder` | `getNodeInstanceBuilder(int index)` `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstance node_instance = 1;`
`List<JBPMMessages.ProcessInstance.NodeInstance.Builder>` | `getNodeInstanceBuilderList()` `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstance node_instance = 1;`
`int` | `getNodeInstanceCount()` `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstance node_instance = 1;`
`List<JBPMMessages.ProcessInstance.NodeInstance>` | `getNodeInstanceList()` `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstance node_instance = 1;`
`JBPMMessages.ProcessInstance.NodeInstanceOrBuilder` | `getNodeInstanceOrBuilder(int index)` `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstance node_instance = 1;`
`List<? extends JBPMMessages.ProcessInstance.NodeInstanceOrBuilder>` | `getNodeInstanceOrBuilderList()` `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstance node_instance = 1;`
`protected com.google.protobuf.GeneratedMessage.FieldAccessorTable` | `internalGetFieldAccessorTable()`
`boolean` | `isInitialized()`
`JBPMMessages.ProcessInstance.NodeInstanceContent.ForEachNode.Builder` | `mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`JBPMMessages.ProcessInstance.NodeInstanceContent.ForEachNode.Builder` | `mergeFrom(JBPMMessages.ProcessInstance.NodeInstanceContent.ForEachNode other)`
`JBPMMessages.ProcessInstance.NodeInstanceContent.ForEachNode.Builder` | `mergeFrom(com.google.protobuf.Message other)`
`JBPMMessages.ProcessInstance.NodeInstanceContent.ForEachNode.Builder` | `removeNodeInstance(int index)` `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstance node_instance = 1;`
`JBPMMessages.ProcessInstance.NodeInstanceContent.ForEachNode.Builder` | `setNodeInstance(int index, JBPMMessages.ProcessInstance.NodeInstance.Builder builderForValue)` `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstance node_instance = 1;`
`JBPMMessages.ProcessInstance.NodeInstanceContent.ForEachNode.Builder` | `setNodeInstance(int index, JBPMMessages.ProcessInstance.NodeInstance value)` `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstance node_instance = 1;`

Methods inherited from class com.google.protobuf.GeneratedMessage.Builder
`addRepeatedField, clearField, getAllFields, getField, getFieldBuilder, getParentForChildren, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, isClean, markClean, mergeUnknownFields, newBuilderForField, onBuilt, onChanged, parseUnknownField, setField, setRepeatedField, setUnknownFields`

Methods inherited from class com.google.protobuf.AbstractMessage.Builder
`findInitializationErrors, getInitializationErrorString, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException`

Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder
`addAll, newUninitializedMessageException`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.google.protobuf.MessageOrBuilder
`findInitializationErrors, getAllFields, getField, getInitializationErrorString, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField`

Method Detail

### getDescriptor

    public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

### internalGetFieldAccessorTable

    protected com.google.protobuf.GeneratedMessage.FieldAccessorTable internalGetFieldAccessorTable()

  Specified by:
    `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessage.Builder<JBPMMessages.ProcessInstance.NodeInstanceContent.ForEachNode.Builder>`

### clear

    public JBPMMessages.ProcessInstance.NodeInstanceContent.ForEachNode.Builder clear()

  Specified by:
    `clear` in interface `com.google.protobuf.Message.Builder`
  Specified by:
    `clear` in interface `com.google.protobuf.MessageLite.Builder`
  Overrides:
    `clear` in class `com.google.protobuf.GeneratedMessage.Builder<JBPMMessages.ProcessInstance.NodeInstanceContent.ForEachNode.Builder>`

### clone

    public JBPMMessages.ProcessInstance.NodeInstanceContent.ForEachNode.Builder clone()

  Specified by:
    `clone` in interface `com.google.protobuf.Message.Builder`
  Specified by:
    `clone` in interface `com.google.protobuf.MessageLite.Builder`
  Overrides:
    `clone` in class `com.google.protobuf.GeneratedMessage.Builder<JBPMMessages.ProcessInstance.NodeInstanceContent.ForEachNode.Builder>`

### getDescriptorForType

    public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

  Specified by:
    `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
  Specified by:
    `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
  Overrides:
    `getDescriptorForType` in class `com.google.protobuf.GeneratedMessage.Builder<JBPMMessages.ProcessInstance.NodeInstanceContent.ForEachNode.Builder>`

### getDefaultInstanceForType

    public JBPMMessages.ProcessInstance.NodeInstanceContent.ForEachNode getDefaultInstanceForType()

  Specified by:
    `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
  Specified by:
    `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

### build

    public JBPMMessages.ProcessInstance.NodeInstanceContent.ForEachNode build()

  Specified by:
    `build` in interface `com.google.protobuf.Message.Builder`
  Specified by:
    `build` in interface `com.google.protobuf.MessageLite.Builder`

### buildPartial

    public JBPMMessages.ProcessInstance.NodeInstanceContent.ForEachNode buildPartial()

  Specified by:
    `buildPartial` in interface `com.google.protobuf.Message.Builder`
  Specified by:
    `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

### mergeFrom

    public JBPMMessages.ProcessInstance.NodeInstanceContent.ForEachNode.Builder mergeFrom(com.google.protobuf.Message other)

  Specified by:
    `mergeFrom` in interface `com.google.protobuf.Message.Builder`
  Overrides:
    `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<JBPMMessages.ProcessInstance.NodeInstanceContent.ForEachNode.Builder>`

### mergeFrom

    public JBPMMessages.ProcessInstance.NodeInstanceContent.ForEachNode.Builder mergeFrom(JBPMMessages.ProcessInstance.NodeInstanceContent.ForEachNode other)

### isInitialized

    public final boolean isInitialized()

  Specified by:
    `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
  Overrides:
    `isInitialized` in class `com.google.protobuf.GeneratedMessage.Builder<JBPMMessages.ProcessInstance.NodeInstanceContent.ForEachNode.Builder>`

### mergeFrom

    public JBPMMessages.ProcessInstance.NodeInstanceContent.ForEachNode.Builder mergeFrom(com.google.protobuf.CodedInputStream input,
                                                                                          com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                                                   throws IOException

  Specified by:
    `mergeFrom` in interface `com.google.protobuf.Message.Builder`
  Specified by:
    `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
  Overrides:
    `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<JBPMMessages.ProcessInstance.NodeInstanceContent.ForEachNode.Builder>`
  Throws:
    `IOException`

### getNodeInstanceList

    public List<JBPMMessages.ProcessInstance.NodeInstance> getNodeInstanceList()

  `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstance node_instance = 1;`

  Specified by:
    `getNodeInstanceList` in interface `JBPMMessages.ProcessInstance.NodeInstanceContent.ForEachNodeOrBuilder`

### getNodeInstanceCount

    public int getNodeInstanceCount()

  `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstance node_instance = 1;`

  Specified by:
    `getNodeInstanceCount` in interface `JBPMMessages.ProcessInstance.NodeInstanceContent.ForEachNodeOrBuilder`

### getNodeInstance

    public JBPMMessages.ProcessInstance.NodeInstance getNodeInstance(int index)

  `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstance node_instance = 1;`

  Specified by:
    `getNodeInstance` in interface `JBPMMessages.ProcessInstance.NodeInstanceContent.ForEachNodeOrBuilder`

### setNodeInstance

    public JBPMMessages.ProcessInstance.NodeInstanceContent.ForEachNode.Builder setNodeInstance(int index,
                                                                                                JBPMMessages.ProcessInstance.NodeInstance value)

  `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstance node_instance = 1;`

### setNodeInstance

    public JBPMMessages.ProcessInstance.NodeInstanceContent.ForEachNode.Builder setNodeInstance(int index,
                                                                                                JBPMMessages.ProcessInstance.NodeInstance.Builder builderForValue)

  `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstance node_instance = 1;`

### addNodeInstance

    public JBPMMessages.ProcessInstance.NodeInstanceContent.ForEachNode.Builder addNodeInstance(JBPMMessages.ProcessInstance.NodeInstance value)

  `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstance node_instance = 1;`

### addNodeInstance

    public JBPMMessages.ProcessInstance.NodeInstanceContent.ForEachNode.Builder addNodeInstance(int index,
                                                                                                JBPMMessages.ProcessInstance.NodeInstance value)

  `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstance node_instance = 1;`

### addNodeInstance

    public JBPMMessages.ProcessInstance.NodeInstanceContent.ForEachNode.Builder addNodeInstance(JBPMMessages.ProcessInstance.NodeInstance.Builder builderForValue)

  `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstance node_instance = 1;`

### addNodeInstance

    public JBPMMessages.ProcessInstance.NodeInstanceContent.ForEachNode.Builder addNodeInstance(int index,
                                                                                                JBPMMessages.ProcessInstance.NodeInstance.Builder builderForValue)

  `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstance node_instance = 1;`

### addAllNodeInstance

    public JBPMMessages.ProcessInstance.NodeInstanceContent.ForEachNode.Builder addAllNodeInstance(Iterable<? extends JBPMMessages.ProcessInstance.NodeInstance> values)

  `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstance node_instance = 1;`

### clearNodeInstance

    public JBPMMessages.ProcessInstance.NodeInstanceContent.ForEachNode.Builder clearNodeInstance()

  `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstance node_instance = 1;`

### removeNodeInstance

    public JBPMMessages.ProcessInstance.NodeInstanceContent.ForEachNode.Builder removeNodeInstance(int index)

  `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstance node_instance = 1;`

### getNodeInstanceBuilder

    public JBPMMessages.ProcessInstance.NodeInstance.Builder getNodeInstanceBuilder(int index)

  `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstance node_instance = 1;`

### getNodeInstanceOrBuilder

    public JBPMMessages.ProcessInstance.NodeInstanceOrBuilder getNodeInstanceOrBuilder(int index)

  `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstance node_instance = 1;`

  Specified by:
    `getNodeInstanceOrBuilder` in interface `JBPMMessages.ProcessInstance.NodeInstanceContent.ForEachNodeOrBuilder`

### getNodeInstanceOrBuilderList

    public List<? extends JBPMMessages.ProcessInstance.NodeInstanceOrBuilder> getNodeInstanceOrBuilderList()

  `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstance node_instance = 1;`

  Specified by:
    `getNodeInstanceOrBuilderList` in interface `JBPMMessages.ProcessInstance.NodeInstanceContent.ForEachNodeOrBuilder`

### addNodeInstanceBuilder

    public JBPMMessages.ProcessInstance.NodeInstance.Builder addNodeInstanceBuilder()

  `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstance node_instance = 1;`

### addNodeInstanceBuilder

    public JBPMMessages.ProcessInstance.NodeInstance.Builder addNodeInstanceBuilder(int index)

  `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstance node_instance = 1;`

### getNodeInstanceBuilderList

    public List<JBPMMessages.ProcessInstance.NodeInstance.Builder> getNodeInstanceBuilderList()

  `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstance node_instance = 1;`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2014 JBoss by Red Hat. All Rights Reserved.